/*
	mySiteAuditor Notification Bar v2.0.0
	
	by SEO Group: http://seogroup.com
	
*/
!function(window, $, undefined){

	'use strict'
	
	// mySiteAuditor
	var mySiteAuditor = function (elem) {
		this.elem = elem
		this.$elem = $(elem)
		console.log(this.$elem);
		this.jsonConfig = this.$elem.data('my_site_auditor')
	}
	
	// prototype
	mySiteAuditor.prototype = {
		init: function () {
			this.config = $.extend({}, this.defaults, this.jsonConfig)
			this.construct().printMessage().printMessageSecond().createButton().removeData().togglemySiteAuditor()
		},
		construct: function () {
			this.$elem.before(
				$('<div class="my_site_auditor-push"></div>' +
					'<a href="#" class="my_site_auditor-down-toggle">' +
					'<i class="icon-down"></i></a>')
			)
			this.$elem.append(
				$(
					'<div class="my_site_auditor-wrap"></div><a href="#" class="my_site_auditor-up-toggle">' +
					'<i class="icon-cancel"></i></a>'
				)
			)
			return this
		},
		printMessage: function () {
			if (this.jsonConfig.message) {
				this.$elem.children('.my_site_auditor-wrap').append(
					$('<div class="my_site_auditor-text-holder"><p>' + this.jsonConfig.message + '</p><span>' + this.jsonConfig.messageSecond + '</span></div>')
				)
			}
			return this
		},
		printMessageSecond: function () {
			if (this.jsonConfig.messageSecond) {
				this.$elem.children('.my_site_auditor-text-holder').append(
					//$('<span>' + this.jsonConfig.messageSecond + '</span></div>')
				)
			}
			return this
		},
		createButton: function () {
			if (this.jsonConfig.button && this.jsonConfig.url) {
				this.$elem.find('.my_site_auditor-text-holder').append(
					$('<a onclick="cntrFn()" href="' + this.jsonConfig.url + '" class="my_site_auditor-button">' + this.jsonConfig.button + '</a>')
				)
			}
			return this
		},
		removeData: function () {
			if (this.jsonConfig) {
				this.$elem.removeAttr('data-my_site_auditor')
			}
			return this
		},
		togglemySiteAuditor: function () {

			// toggle variables
			var $this   = this.$elem
			var $push   = $('.my_site_auditor-push')
			var $toggle = $('.my_site_auditor-down-toggle')
			var $toggles = $('.my_site_auditor-down-toggle, .my_site_auditor-up-toggle')
			var clicks;
			
			// json open and closed states
			if (this.jsonConfig.state === 'closed') {
				$this.add($push).css({
					'marginTop' : - ($this.outerHeight())
				})
				$push.css({
					'height' : ($this.outerHeight())
				})
				$toggle.css({
					'visibility' : 'visible'
				})
				setTimeout(function () {
					$this.add($push).css({
						'display' : 'block'
					})
				}, 500)
			} else if (this.jsonConfig.state === 'open') {
				$toggle.css({
					'marginTop' : - ($toggle.outerHeight() + 5)
				})
				$this.add($push).css({
					'display' : 'block'
				})
				$push.css({
					'height' : $this.outerHeight(),
				})
				setTimeout(function () {
					$toggle.css({
						'display' : 'block',
						'visibility' : 'visible'
					})
				}, 500)
				$this.data('clicks', !clicks)
			}
			
			// toggle click handlers
			$toggles.on('click', function (e) {
				
				// global scope for JSON states
				clicks = $this.data('clicks')
				
				// data clicks
				if (!clicks) {
					$this.add($push).css({
						'marginTop' : '0'
					})
					$toggle.css({
						'marginTop' : - ($this.outerHeight() + 5)
					})
				} else {
					$this.add($push).css({
						'marginTop' : - ($this.outerHeight())
					})
					$toggle.css({
						'marginTop' : '0'
					})
				}
				
				// set data
				$this.data('clicks', !clicks)
				
				// stop anchor click
				e.preventDefault()
				
			})
		}
	}
	
	// merge defaults
	mySiteAuditor.defaults = mySiteAuditor.prototype.defaults
	
	// mySiteAuditor plugin logic
	$.fn.mySiteAuditor = function () {
	
		return this.each(function () {
			new mySiteAuditor(this).init()
		})
	
	}
	
	// global
	window.mySiteAuditor = mySiteAuditor
	
	// IIDE immediate-invoked-data-expression
	$(function () {
	
		// if the validator is set to initialise
		if($('[data-init]').data('init') === 'my_site_auditor') {
		
			// run mySiteAuditor based on JSON data
			$('[data-my_site_auditor]').mySiteAuditor()
		
		}
		
	})

}(window, jQuery);