<?php   
	/** 
	Plugin Name: CTA Bar for MySiteAuditor
	Plugin URI: https://MySiteAuditor.com
	Description: Free CTA notification bar for the top or bottom of your site.
	Author: MySiteAuditor
	Version: 1.0 
	Author URI: https://MySiteAuditor.com
	License: GPLv2 or later
	**/
	
	/* 
	Copyright (c) 2013, seogroup.com
	 
	This program is free software; you can redistribute it and/or 
	modify it under the terms of the GNU General Public License 
	as published by the Free Software Foundation; either version 2 
	of the License, or (at your option) any later version. 
	 
	This program is distributed in the hope that it will be useful, 
	but WITHOUT ANY WARRANTY; without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
	GNU General Public License for more details. 
	 
	You should have received a copy of the GNU General Public License 
	along with this program; if not, write to the Free Software 
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. 
	*/
?>
<?php
//Add jQuery and Scripts
function mysiteauditor_plugin_js_init() {
	if (!is_admin()) {
		wp_deregister_script('jquery'); 
		wp_register_script('jquery', plugins_url('/js/jQuery_1.9.1.js' , __FILE__ ), null, '1.9.1');
		wp_enqueue_script('jquery');
		
		$fetch_options_bar_position = unserialize(get_option('_MySiteAuditor_Notification_Bar_options'));
		if($fetch_options_bar_position['seo_audit_message_bar_position'] == 'Top'){
			wp_register_script( 'add-mysiteauditor-custom-js', plugins_url('/js/my_site_auditor_top.js' , __FILE__ ), '', null,''  );
			wp_enqueue_script( 'add-mysiteauditor-custom-js' );
		}else if($fetch_options_bar_position['seo_audit_message_bar_position'] == 'Bottom'){
			wp_register_script( 'add-mysiteauditor-custom-js', plugins_url('/js/my_site_auditor_bottom.js' , __FILE__ ), '', null,''  );
			wp_enqueue_script( 'add-mysiteauditor-custom-js' );
		}
		
		wp_register_style( 'generated', plugins_url('/css/mysiteauditor-notification-bar-styles.php', __FILE__ ) );
		wp_enqueue_style( 'generated' );
	}
}
add_action('init', 'mysiteauditor_plugin_js_init');

//Adding Options Menu
function mysiteauditor_plugin_options_admin() {
	include('mysiteauditor-options.php');
}  

function mysiteauditor_plugin_options_admin_actions() {
	add_options_page("CTA Bar", "CTA Bar", 1, "mysiteauditor-options", "mysiteauditor_plugin_options_admin");
}

add_action('admin_menu', 'mysiteauditor_plugin_options_admin_actions');

// Add settings link on plugin page
function mysiteauditor_settings_link($links) { 
  $settings_link = '<a href="options-general.php?page=mysiteauditor-options.php">Settings</a>';
  array_unshift($links, $settings_link); 
  return $links; 
}
 
$plugin = plugin_basename(__FILE__); 
add_filter("plugin_action_links_$plugin", 'mysiteauditor_settings_link' );

//Add Message Bar with Popup
function mysiteauditor_notification_bar(){
	global $post;
	$fetch_options_check = unserialize(get_option('_MySiteAuditor_Notification_Bar_options'));
	$page_values = explode(',',$fetch_options_check['page_values']);	
	$page_id = $post->ID;
	$page_type = 'other';
	if(is_home()){ $page_type = 'home';}
	if(is_single()){ $page_type = 'single';}
	if(is_category()){ $page_type = 'category';}
	if(is_archive()){ $page_type = 'archives';}
	if(is_search()){$page_type = 'search';}
	
	if( !$page_values || (!in_array($page_id,$page_values) && !in_array($page_type,$page_values))){
		if($fetch_options_check['seo_audit_swtich_message_bar'] == "Enable"){
		
			global $hide_on_mobile;
			$hide_on_mobile = $fetch_options_check['seo_audit_hide_on_mobile_mbar'];
					
			echo '<script>		
				function cntrFn(){
					jQuery.ajax({			
					type: "GET",
					url: "wp-content/plugins/MySiteAuditor-Notification-Bar/mysiteauditor_ajax.php",
					async: false,
					data: {
						flg: "btn_click"
						},
					success: function (responseData){
						//alert(responseData);
						return false;
					}
					});	
				}
				
			//});
			</script>';
		
	?>
	<!-- my_site_auditor -->
			<div class="my_site_auditor" data-init="my_site_auditor" data-my_site_auditor='{
				"message" : "<?php echo $fetch_options_check['seo_audit_message_bar_text']; ?>",
                "messageSecond" : "<?php echo $fetch_options_check['seo_audit_message_bar_sub_text']; ?>",
				"button"  : "<?php echo $fetch_options_check['seo_audit_message_bar_button_text']; ?>",
				"url"     : "<?php if($fetch_options_check['seo_audit_message_bar_button_link']){ echo $fetch_options_check['seo_audit_message_bar_button_link']; }else{ echo 'javascript:;';} ?>",
				"state"   : "<?php if($fetch_options_check['seo_audit_message_bar_default_status']){ echo $fetch_options_check['seo_audit_message_bar_default_status']; }else{ echo 'closed'; } ?>"
			}'></div>
			
			<!-- /my_site_auditor -->
	<?php	
			
		}
	
	}
}

$fetch_options_mobile = unserialize(get_option('_MySiteAuditor_Notification_Bar_options'));
$hide_on_mobile = $fetch_options_mobile['seo_audit_hide_on_mobile_mbar'];

if($hide_on_mobile == 'yes'){
	if(!wp_is_mobile()){ add_action('wp_footer', 'mysiteauditor_notification_bar'); }
}else{
	add_action('wp_footer', 'mysiteauditor_notification_bar');
}

//Deactivate plugin
function mysiteauditor_deactivate(){
	$option_name_1 = "_MySiteAuditor_Notification_Bar_options";
	$option_name_2 = "_mysiteauditor_click_tracker";
	
	delete_option($option_name_1);
	delete_option($option_name_2);
}

register_deactivation_hook( __FILE__, 'mysiteauditor_deactivate' );
?>